Wind River Support Network

HomeDefectsLIN5-23316
Fixed

LIN5-23316 : Security Advisory - linux - CVE-2017-11600

Created: Jul 27, 2017    Updated: May 29, 2018
Resolved Date: Oct 15, 2017
Found In Version: 5.0.1.40
Fix Version: 5.0.1.42
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Kernel

Description

net/xfrm/xfrm_policy.c in the Linux kernel through 4.12.3, when CONFIG_XFRM_MIGRATE is enabled, does not ensure that the dir value of xfrm_userpolicy_id is XFRM_POLICY_MAX or less, which allows local users to cause a denial of service (out-of-bounds access) or possibly have unspecified other impact via an XFRM_MSG_MIGRATE xfrm Netlink message.

https://nvd.nist.gov/vuln/detail/CVE-2017-11600

Other Downloads


Live chat
Online